Bug 178453 - Slow memory leak in /proc/cluster/dlm_dir and /proc/cluster/dlm_locks
Summary: Slow memory leak in /proc/cluster/dlm_dir and /proc/cluster/dlm_locks
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: dlm (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Robert Peterson
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-20 18:56 UTC by Robert Peterson
Modified: 2009-04-16 20:28 UTC (History)
3 users (show)

Fixed In Version: RHBA-2006-0558
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 21:27:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0558 normal SHIPPED_LIVE dlm-kernel bug fix update 2006-08-10 04:00:00 UTC

Description Robert Peterson 2006-01-20 18:56:30 UTC
Description of problem:

There is a slow memory leak when using the files /proc/cluster/dlm_dir and
/proc/cluster/dlm_locks for debugging.
This is very similar to bz 178367, however, unlike the /proc files described in
that bz, these two are normally used only for debug.

Version-Release number of selected component (if applicable):

How reproducible:

Always.

Steps to Reproduce:
1. gfs_tool getsb /mnt/<gfs filesystem mountpoint>
   Remember or grab locktable name after the colon (:) char.
2. echo "<lock table>" > /proc/cluster/dlm_locks
   This activates the debugging function of the dlm.ko kernel module.
3. cat /proc/cluster/dlm_dir
   or
   cat /proc/cluster/dlm_locks

This will allocate (kmalloc) a handful of small memory chunks and give all but
two of them back (kfree).

Actual results:

Some kernel memory is not freed.

Expected results:

All memory allocated from the kernel should be freed up.

Additional info:

Bug is in dlm-kernel/src/proc.c.

Comment 1 Robert Peterson 2006-02-15 19:06:26 UTC
I unit-tested this fix with printk messages to verify it was working as
planned and all kmallocs were paired with their proper kfrees.


Comment 4 Red Hat Bugzilla 2006-08-10 21:27:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0558.html



Note You need to log in before you can comment on or make changes to this bug.